RehobothCargo Developer
REFERENCE ยท V1

Build with RehobothCargo

Secure account-scoped access to shipments, tracking, procurement orders, invoices and wallet data.

Quickstart

Include your approved API token in every private request.

Authorization: Bearer rc_live_...

$ch=curl_init('https://www.rehobothcargo.com/api/v1/shipments');
curl_setopt($ch,CURLOPT_HTTPHEADER,['Authorization: Bearer rc_live_YOUR_TOKEN']);
$data=json_decode(curl_exec($ch),true);
import requests
r=requests.get('https://www.rehobothcargo.com/api/v1/shipments',headers={'Authorization':'Bearer rc_live_YOUR_TOKEN'})
data=r.json()
const r=await fetch('https://www.rehobothcargo.com/api/v1/shipments',{headers:{Authorization:'Bearer rc_live_YOUR_TOKEN'}});
const data=await r.json();

Resources

GET /api/v1/me/dashboard Account overview
GET /api/v1/shipments/{tracking}/track Tracking timeline
GET /api/v1/shipments/{tracking}/images Package images
GET /api/v1/orders/{id}/items Order lines
GET /api/v1/invoices/{id}/items Invoice lines